com.google.gwt.event.dom.client

## Class DropEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.google.gwt.event.dom.client.DomEvent<H>
      - - com.google.gwt.event.dom.client.DragDropEventBase<DropHandler>
        - - com.google.gwt.event.dom.client.DropEvent

All Implemented Interfaces:
  HasNativeEvent

    public class DropEvent
    extends DragDropEventBase<DropHandler>

Represents a native drop event.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DragDropEventBase

`DragDropEventBase.DragSupportDetector, DragDropEventBase.DragSupportDetectorNo`

### Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent

`DomEvent.Type<H extends EventHandler>`

### Constructor Summary

Constructors
`protected` `DropEvent()` Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` or `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers, com.google.gwt.dom.client.Element)` to fire drop events.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `dispatch(DropHandler handler)` Should only be called by `HandlerManager`.
`DomEvent.Type<DropHandler>` `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`static DomEvent.Type<DropHandler>` `getType()` Gets the event type associated with drop events.

### Methods inherited from class com.google.gwt.event.dom.client.DragDropEventBase

`getData, getDataTransfer, isSupported, setData`

### Methods inherited from class com.google.gwt.event.dom.client.DomEvent

`fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, init, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

### Methods inherited from class com.google.gwt.event.shared.GwtEvent

`assertLive, getSource, isLive, kill, revive`

### Methods inherited from class com.google.web.bindery.event.shared.Event

`setSource, toDebugString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DropEvent

    protected DropEvent()

Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` or `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers, com.google.gwt.dom.client.Element)` to fire drop events.

### Method Detail

#### getType

    public static DomEvent.Type<DropHandler> getType()

Gets the event type associated with drop events.

Returns:
  the handler type

#### getAssociatedType

    public final DomEvent.Type<DropHandler> getAssociatedType()

Description copied from class: `Event`
Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

Specified by:
  `getAssociatedType` in class `DomEvent<DropHandler>`
Returns:
  the type

#### dispatch

    protected void dispatch(DropHandler handler)

Description copied from class: `GwtEvent`
Should only be called by `HandlerManager`. In other words, do not use or call.

Specified by:
  `dispatch` in class `GwtEvent<DropHandler>`
Parameters:
  `handler` - handler
See Also:
  `EventBus.dispatchEvent(Event, Object)`